Restore & PurgeZone Purge Details

Zone Purge Details

Get detailed per-server logs for a specific purge or prefetch operation of a HTTP pull zone. Used when a row is expanded in the Manage Cache "History" tab.

curl -X GET "https://api.5centscdn.com/v2/zones/http/pull/42/purge/8f3a1c2d" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "id": "8f3a1c2d",
  "serviceid": 67890,
  "zone": "12345",
  "type": "url",
  "list": [
    "/videos/file.mp4"
  ],
  "meta": "",
  "logs": [
    {
      "serverId": "31",
      "serverName": "London, United Kingdom",
      "purged": [
        "/videos/file.mp4"
      ],
      "completed": true
    }
  ],
  "completed_at": "1717236060",
  "created_at": "1717236000",
  "updated_at": "1717236060",
  "errors": ""
}
GET
/zones/http/pull/{zoneid}/purge/{purgeId}
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
purgeIdstring
Required

Unique identifier of the purge or prefetch operation, returned by the purge/prefetch endpoints or the purge history list.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

zoneidinteger
Required

Zone ID

Example:
42
purgeIdstring
Required

Unique identifier of the purge or prefetch operation, returned by the purge/prefetch endpoints or the purge history list.

Example:
8f3a1c2d

Responses

resultstring

Status of the API response.

idstring

Unique identifier of the purge or prefetch operation.

serviceidinteger

Service account identifier associated with this zone

zonestring

Identifier of the zone this operation was run against.

typestring

Operation type. fetch = prefetch operation. url = purge-by-path operation. Any other value represents another purge operation type.

liststring[]

List of file paths submitted for this purge/prefetch operation.

metastring

Additional metadata associated with this operation.

logsarray

Per-server logs for this purge/prefetch operation. The History tab uses the array length (minus 1) as the "Total Server" count and counts entries where completed is false (minus 1) as "Cache pending".

completed_atstring

Unix timestamp (in seconds, as a string) when this operation completed, or empty/null while still pending.

created_atstring

Unix timestamp (in seconds, as a string) when this operation was created.

updated_atstring

Unix timestamp (in seconds, as a string) of the most recent update to this operation.

errorsstring

Error message recorded for this operation, or empty string if none.